.currency {
    display: flex;
    flex-direction: column;
    row-gap: rem(40);

    &__aside {
        padding: rem(20);
        background: white;
        border-radius: 20px;
    }

    &__title {
        font-weight: 500;
        font-size: rem(24);
        line-height: 140%;
        margin-bottom: rem(26);
    }

    &__label {
        color: var(--gray);
        font-size: rem(13);
        line-height: rem(17);
        margin-bottom: rem(14);
        padding-left: rem(20);
    }

    &__data {
        margin-bottom: rem(40);
        display: flex;
        flex-direction: column;
        row-gap: rem(4);
    }

    &__settings {
        margin-bottom: rem(38);
    }

    @include media-breakpoint-up(xl) {
        flex-direction: row;
        column-gap: rem(20);
        align-items: flex-start;

        &__aside {
            width: 440px;
            flex-shrink: 0;
        }

        &__main {
            width: calc(100% - 460px);
            flex-shrink: 0;
        }

        &__chart {
            padding: 0 rem(24);
        }
    }


    @include media-breakpoint-up(xxl) {

        &__aside {
            width: 500px;
        }

        &__main {
            width: calc(100% - 520px);
        }
    }
}

.currency-chart {

    &__header {
        margin-bottom: rem(25);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__title {
        font-size: rem(14);
    }

    &__date {
        max-width: rem(150);
    }
}
